/*-----------------------------------------------------*/
/*--	Micro-EMPIX Display Drivers (Low)(DispLow.h)  -*/
/*--    Ver 1.0 (c) 2004                              -*/
/*--	E             -*/
/*--    ==================================            -*/
/*--    .                  -*/
/*--    .                        -*/
/*--    ..                       -*/
/*-----------------------------------------------------*/

#ifndef _DEFS_H
	#define _DEFS_H
	#include "defs.h"
#endif

extern void PrintChar (int x, int y, char content);

extern void bSetColor(SCR_COLORS fgcolor, SCR_COLORS bgcolor, unsigned int HighIntensity);
extern void bSetCursor(int x, int y);
extern void bGetCursor(int *x, int *y);
extern void bcls(void);
extern void bAdvanceCursor(void);
extern void bBacktrackCursor(void);
extern void bNewLine(void);
extern void bPrintChar(char c);
extern void bScrollWindow(const char UpperLeftX, const char UpperLeftY, const char LowerRightX, const char LowerRightY, const char UpDown);

extern unsigned char SCR_Current_Color;